%global srcname fusepy

Name:    python-fuse
Version: 2.0.4
Release: 8%{?dist}
Summary: Python module that provides a simple interface to FUSE and MacFUSE

License: ISC
URL:     https://github.com/terencehonles/fusepy
Source0: https://github.com/terencehonles/fusepy/archive/v%{version}.tar.gz#/%{srcname}-%{version}.tar.gz

BuildArch: noarch
BuildRequires: python2-devel
BuildRequires: python3-devel

%description
fusepy is a Python module that provides a simple interface to FUSE and MacFUSE.
It's just one file and is implemented using ctypes.

%package -n python2-fuse
Summary: %{summary}
%{?python_provide:%python_provide python2-fuse}
Requires: fuse-libs

%description -n python2-fuse
fusepy is a Python module that provides a simple interface to FUSE and MacFUSE.
It's just one file and is implemented using ctypes.

%package -n python3-fuse
Summary: %{summary}
%{?python_provide:%python_provide python3-fuse}
Requires: fuse-libs

%description -n python3-fuse
fusepy is a Python module that provides a simple interface to FUSE and MacFUSE.
It's just one file and is implemented using ctypes.

%prep
%autosetup -n %{srcname}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files -n python2-fuse
%doc README.rst
%{python2_sitelib}/fuse.py*
%{python2_sitelib}/fusepy-*egg-info/

%files -n python3-fuse
%doc README.rst
%{python3_sitelib}/fuse.py
%{python3_sitelib}/fusepy-*egg-info/
%{python3_sitelib}/__pycache__

%changelog
* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 2.0.4-8
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 2.0.4-4
- Rebuild for Python 3.6

* Tue Nov 22 2016 Juan Orti Alcaine <jorti@fedoraproject.org> - 2.0.4-3
- Add fuse-libs dependency

* Mon Oct 17 2016 Juan Orti Alcaine <jorti@fedoraproject.org> - 2.0.4-2
- Remove unused commit and shortcommit variables
- Change Source0 to download %%{srcname}-%%{version}.tar.gz
- Reuse %%{summary} macro

* Sun Sep 4 2016 Juan Orti Alcaine <jorti@fedoraproject.org> - 2.0.4-1
- Initial RPM
